[MASTER]
load-plugins=pylint_odoo
score=n
# Exclude virtual environment directory from pylint analysis
ignore=.venv

[MESSAGES CONTROL]
disable=all

# This .pylintrc contains optional AND mandatory checks and is meant to be
# loaded in an IDE to have it check everything, in the hope this will make
# optional checks more visible to contributors who otherwise never look at a
# green CI pipeline.
#
# .pylintrc-mandatory will be used by pre-commit to check only mandatory
# checks.

enable=anomalous-backslash-in-string,
    assignment-from-none,
    attribute-deprecated,
    attribute-string-redundant,
    bad-builtin-groupby,
    category-allowed,
    category-allowed-app,
    consider-merging-classes-inherited,
    context-overridden,
    dangerous-default-value,
    deprecated-name-get,
    deprecated-odoo-model-method,
    development-status-allowed,
    duplicate-key,
    except-pass,
    external-request-timeout,
    inheritable-method-lambda,
    inheritable-method-string,
    invalid-commit,
    invalid-email,
    license-allowed,
    manifest-author-string,
    manifest-behind-migrations,
    manifest-data-duplicated,
    manifest-deprecated-key,
    manifest-external-assets,
    manifest-maintainers-list,
    manifest-required-author,
    manifest-required-key,
    manifest-required-key-app,
    manifest-superfluous-key,
    manifest-version-format,
    method-compute,
    method-inverse,
    method-required-super,
    method-search,
    missing-odoo-file,
    missing-odoo-file-app,
    missing-readme,
    missing-return,
    no-raise-unlink,
    no-search-all,
    no-wizard-in-models,
    no-write-in-compute,
    odoo-addons-relative-import,
    odoo-exception-warning,
    pointless-statement,
    pointless-string-statement,
    prefer-env-translation,
    print-used,
    prohibited-method-override,
    redundant-keyword-arg,
    renamed-field-parameter,
    resource-not-exist,
    sql-injection,
    super-method-mismatch,
    test-folder-imported,
    too-few-format-args,
    translation-contains-variable,
    translation-field,
    translation-format-interpolation,
    translation-format-truncated,
    translation-fstring-interpolation,
    translation-not-lazy,
    translation-positional-used,
    translation-required,
    translation-too-few-args,
    translation-too-many-args,
    translation-unsupported-format,
    use-vim-comment,
    website-manifest-key-not-valid-uri

[REPORTS]
msg-template={path}:{line}: [{msg_id}({symbol}), {obj}] {msg}
output-format=colorized
reports=no
